#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hasql
version:              1.4.5.3
visibility:           public
id:                   hasql-1.4.5.3-EomiASnCIPe4c7k5CNN3a1
key:                  hasql-1.4.5.3-EomiASnCIPe4c7k5CNN3a1
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/hasql
synopsis:             An efficient PostgreSQL driver with a flexible mapping API
description:
    Root of the \"hasql\" ecosystem.
    For details and tutorials see
    <https://github.com/nikita-volkov/hasql the readme>.

    The API comes free from all kinds of exceptions. All error-reporting is explicit and is presented using the '\''Either'\'' type.

category:             Hasql, Database, PostgreSQL
abi:                  0209a753948ce39a730a3f1417099b9f
exposed:              True
exposed-modules:
    Hasql.Connection Hasql.Decoders Hasql.Encoders Hasql.Session
    Hasql.Statement

hidden-modules:
    Hasql.Private.Prelude Hasql.Private.Errors Hasql.Private.PTI
    Hasql.Private.IO Hasql.Private.Session Hasql.Private.Connection
    Hasql.Private.PreparedStatementRegistry Hasql.Private.Settings
    Hasql.Private.Commands Hasql.Private.Decoders
    Hasql.Private.Decoders.Array Hasql.Private.Decoders.Composite
    Hasql.Private.Decoders.Value Hasql.Private.Decoders.Row
    Hasql.Private.Decoders.Result Hasql.Private.Decoders.Results
    Hasql.Private.Encoders Hasql.Private.Encoders.Array
    Hasql.Private.Encoders.Value Hasql.Private.Encoders.Params

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hasql-1.4.5.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hasql-1.4.5.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/hasql-1.4.5.3
hs-libraries:         HShasql-1.4.5.3-EomiASnCIPe4c7k5CNN3a1
depends:
    attoparsec-0.14.2-LyVMFpgdKldIJdmhU3guTs base-4.15.1.0
    bytestring-0.10.12.1
    bytestring-strict-builder-0.4.5.4-ECu0PiuSqeLKAR4IoPpMmb
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    dlist-1.0-F00OxiD1dC249OyRKVGlo2
    hashable-1.3.4.1-EP0Gd73UMcO4S1jbgGNqGg
    hashtables-1.2.4.2-1eh3UCGJtqTXdGtCltcp9 mtl-2.2.2
    postgresql-binary-0.12.4.1-HZwbborw954KwFqBYdC0Rn
    postgresql-libpq-0.9.4.3-IkP6G59sk5XEvvBwPSqWYy
    profunctors-5.6.2-FQ5RPJhXBzGG9mjhRjqwyc text-1.2.5.0
    text-builder-0.6.6.3-KtifKRrWSMREFU5IEZ2uUc transformers-0.5.6.2
    vector-0.12.3.1-3x1pAdfup7PE3zWKaw1ikC

haddock-interfaces:   /usr/share/doc/haskell-hasql/html/hasql.haddock
haddock-html:         /usr/share/doc/haskell-hasql/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

